@import "compass";

@import url(custom_common.css);

@import url(color_schemes/green.css);

@import url(color_schemes/orange.css);

/* ---------- Base styles ---------- */

body {
	background: #EEF0F2;
	font-size: 11px;
}

a {
	color: #5B677D;
	text-decoration: underline;
}

a:hover {
	color: #06C;
	text-decoration: none;
}

hr, .separator {
	border-color: #BFBFBF transparent #FFF;
	border-style: solid;
	border-width: 1px 0;
}

#wrapper {
	background: none;
	margin: 0 auto;
	max-width: 90%;
	min-width: 960px;
	position: relative;
}

.ie6 #wrapper {
	width: 90%;
}

#banner {
	background: none;
	height: auto;
	margin-top: 1.4em;
	position: relative;
}

.site-title .site-name {
	background: #555 url(../images/common/site_icon.png) no-repeat 15px 50%;
	color: #FFF;
	display: block;
	float: right;
	font-size: 1em;
	font-weight: bold;
	margin: 15px 0 0 20px;
	padding: 7px 17px 7px 40px;
	position: relative;
	text-shadow: 1px 1px rgba(0, 0, 0, 0.5);
}

.page-template .site-title .site-name {
	background-image: url(../images/common/page_template.png);
}

.site-template .site-title .site-name {
	background-image: url(../images/common/site_template.png);
}

.company-site .site-title .site-name {
	background-image: url(../images/common/folder.png);
}

.organization-site .site-title .site-name {
	background-image: url(../images/common/organization_icon_white.png);
}

.user-site .site-title .site-name {
	background-image: url(../images/common/user_icon_white.png);
}

.private-page .site-title .site-name:after {
	background-image: url(../images/common/key_small.png);
	content: '';
	display: block;
	height: 10px;
	left: 24px;
	position: absolute;
	top: 50%;
	width: 10px;
}

#skip-to-content:focus {
	clip: rect(auto auto auto auto);
	right: 0;
	z-index: 200;
}

#sign-in {
	background: url(../images/common/key.png) no-repeat 3px 50%;
	font-weight: bold;
	padding: 5px 5px 5px 25px;
	position: absolute;
	right: 10px;
	top: 3.8em;
}

.ie6 #banner {
	height: 1%;
}

.ie6 #banner h1.logo {
	height: 1%;
}

/* ---------- Main navigation ---------- */

#navigation {
	background: url(../images/navigation/bg.png) repeat-x 0 0 #0276AF;
	clear: both;
	margin: 0 auto 5px;
	min-height: 2.2em;
	padding: 0 5px;
	position: relative;
	z-index: 1;
}

#navigation ul {
	list-style: none;
	margin: 0;
	padding: 3px;
}

.ie7 #navigation ul {
	padding: 2px;
}

#navigation li, #navigation a {
	display: inline-block;
}

.ie6 #navigation li, .ie7 #navigation li, .ie6 #navigation a, .ie7 #navigation a {
	display: inline;
	zoom: 1;
	z-index: 200;
}

#navigation li {
	position: relative;
	vertical-align: top;
}

#navigation a {
	color: #FFF;
	font-size: 1.1em;
	font-weight: bold;
	margin: 0 1px;
	padding: 3px 15px;
	text-decoration: none;
}

.ie6 #navigation a, .ie7 #navigation a {
	padding: 4px 15px;
}

#navigation .yui3-dd-drop a {
	cursor: move;
}

#navigation .selected a, #navigation li.hover a, #navigation a:hover, #navigation a:focus, #navigation .child-menu li a, #navigation .yui3-dd-dragging, .lfr-navigation-proxy{
	background: #0276AF;
	color: #FFF;
	outline: 0;
	text-shadow: -1px -1px #000;
}

#navigation li.hover .child-menu {
	background: #1E2529;
	display: block;
	position: absolute;
	width: 200px;
	z-index: 250;
}

.ie6 #navigation ul.child-menu-visible, .ie6 #navigation li.hover .child-menu, .ie7 #navigation ul.child-menu-visible, .ie7 #navigation li.hover ul.child-menu {
	left: 0;
	top: 25px;
}

#navigation .child-menu {
	display: none;
}

#navigation .child-menu li {
	border-width: 0 0 1px;
	display: block;
	float: none;
	margin: 0;
}

#navigation .child-menu li a {
	cursor: pointer !important;
}

.ie7 #navigation .child-menu li a {
	zoom: 1;
}

#navigation .child-menu li a:hover, #navigation li a.active {
	background-color: #0276AF;
}

#navigation .child-menu .selected a {
	background: #0276AF url(../images/navigation/bullet_selected.png) no-repeat 5px 50%;
}

.nav-menu-style-arrows ul {
	list-style-image: url(../images/navigation/bullet_selected.png);
}

/* ---------- Portlet wrapper and icons ---------- */

.portlet {
	background-color: #EEF0F2;
	border: 1px solid #C8C9CA;
	margin: 0 0 10px;
	padding: 3px;
	text-align: left;
}

.portlet-topper {
	background: #D4D4D4 url(../images/portlet/header_bg.png) repeat-x 0 0;
	border: 1px solid;
	border-color: #C8C9CA #9E9E9E #9E9E9E #C8C9CA;
	font-size: 1.1em;
}

.portlet-title {
	float: none;
	font-weight: bold;
	min-width: 50%;
	padding: 5px;
	text-shadow: 1px 1px #FFF;
}

.lfr-portlet-title-editable {
	margin-top: -4px;
	z-index: 9999;
}

.ie .lfr-portlet-title-editable {
	margin-top: -6px;
}

.lfr-portlet-title-editable-content {
	padding: 0;
}

.ie .lfr-portlet-title-editable-content {
	margin-top: 4px;
}

.portlet-icons {
	float: none;
}

.portlet-icons .portlet-close-icon {
	border-width: 0;
}

.page-maximized .portlet-icons {
	font-size: 11px;
}

.portlet-icon-back {
}

.ie .portlet-title {
	padding-bottom: 5px;
}

.ie6 .portlet-topper {
	zoom: 1;
}



.portlet-borderless-bar {
	background: none repeat scroll 0 0 #0276AF;
    color: #FFFFFF;
    font-size: 10px;
    opacity: 0.3;
    padding: 2px 5px 1px;
    position: absolute;
    right: 0;
    text-shadow: -1px -1px black;
    top: 0;
    z-index: 200;
}

/* ---------- Footer ---------- */

#footer {
	text-align: right;
}



/* -------------header-------- */

#heading .site-title .logo.default-logo {
	background: url(../images/custom/logo.png) 0 50% no-repeat;
	height: 50px;
	width: 46px;
	display: none;
}

#heading h1 {
	margin-top: 0.5em;
	margin-bottom: 0.5em;	
}

#heading .site-title .logo.default-logo img {
	display: none;
}

#heading .site-name {
    display: none;
}

/* ---------- Site breadcrumbs ---------- */

.site-breadcrumbs {
	margin: 0 0 5px;
	width: auto;
}

.site-breadcrumbs ul {
	background-color: #FFF;
	border: 1px solid #DEDEDE;
	border-color: #C0C2C5;
	margin: 0;
}

.site-breadcrumbs li {
	background-image: none;
	margin-right: 0;
	padding-left: 0.75em;
	padding-right: 0;
}

.site-breadcrumbs li span {
	background: url(../images/common/breadcrumbs.png) no-repeat 100% 50%;
	display: block;
	padding: 0.5em 15px 0.5em 0;
}

.site-breadcrumbs li span a {
	text-decoration: none;
}

.site-breadcrumbs li.first a {
	color: #369;
	font-weight: bold;
}

.site-breadcrumbs li.last a {
	color: #4B5567;
	font-size: 1.3em;
}

.site-breadcrumbs .last {
	font-size: 1em;
	margin-top: 0;
	padding-right: 0;
}

.site-breadcrumbs .last span {
	background-image: none;
	padding: 0;
}

/* ---------- Hudcrumbs ---------- */

.lfr-hudcrumbs {
	position: fixed;
	top: 0;
	z-index: 440;
}

.lfr-hudcrumbs ul {
	background: #414445;
	background: rgba(2, 118, 175, 0.8);
}

.lfr-hudcrumbs .breadcrumbs li a, .lfr-hudcrumbs .breadcrumbs li span {
	color: #FFF;
}

.lfr-hudcrumbs li span {
	background-image: url(../images/common/breadcrumbs_hud.png);
}

/* ---------- Misc. ---------- */

.lfr-panel-container {
	background-color: transparent;
}

.aui-combobox .aui-field-input {
	padding: 4px 3px 3px;
	font-size: 11px;
	height: 15px;
}

.aui-combobox .aui-field {
	float: left;
	line-height: 0;
}

.lfr-portlet-title-editable-content .aui-field {
	float: none;
	display: inline;
}

/* ---------- Extras ---------- */

#banner .site-name {
	@include box-shadow(inset 0 0 5px rgba(0, 0, 0, 0.8), 1px 1px 1px #FFF);
}

.portlet-borderless-bar {
	-moz-border-radius: 20px;
	-moz-box-shadow: inset 0 1px 3px #000;
	-webkit-border-radius: 20px;
	-webkit-box-shadow: inset 0 1px 3px #000;
	border-radius: 20px;
	box-shadow: inset 0 1px 3px #000;
}

.portlet-topper {
	-moz-box-shadow: 1px 1px 0 #FFF;
	-webkit-box-shadow: 1px 1px 0 #FFF;
	box-shadow: 1px 1px 0 #FFF;
}

#banner .site-name {
	@include border-radius(4px);
	@include box-shadow(inset 0 0 5px rgba(0, 0, 0, 0.8), 1px 1px 1px #FFF);
}

#navigation li.selected a {
	-moz-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.8);
	-webkit-box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.8);
	box-shadow: inset 0 1px 3px rgba(0, 0, 0, 0.8);
}

.aui-combobox .aui-toolbar-first {
	-moz-border-radius-topleft: 0;
	-moz-border-radius-bottomleft: 0;
	-webkit-border-top-left-radius: 0;
	-webkit-border-bottom-left-radius: 0;
	border-top-left-radius: 0;
	border-bottom-left-radius: 0;
}